Manifest-Version: 1.0
Bnd-LastModified: 1743084777070
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal LPKG Deployer Implementation
Bundle-SymbolicName: com.liferay.portal.lpkg.deployer.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.19.hotfix-9927-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.osgi.util.bundle;version="1.0",com.liferay
 .petra.io;version="1.3",com.liferay.petra.lang;version="1.3",com.life
 ray.petra.reflect;version="1.4",com.liferay.petra.string;version="1.4
 ",com.liferay.portal.file.install;version="1.0",com.liferay.portal.ke
 rnel.concurrent;version="8.0",com.liferay.portal.kernel.io.unsync;ver
 sion="7.0",com.liferay.portal.kernel.json;version="8.10",com.liferay.
 portal.kernel.license.util;version="1.0",com.liferay.portal.kernel.lo
 g;version="7.0",com.liferay.portal.kernel.lpkg;version="2.0",com.life
 ray.portal.kernel.module.framework;version="1.4",com.liferay.portal.k
 ernel.util;version="10.28",com.liferay.portal.kernel.xml;version="7.0
 ",com.liferay.portal.lpkg.deployer;version="1.0",com.liferay.portal.u
 til;version="4.18",org.osgi.framework;version="1.8",org.osgi.framewor
 k.startlevel;version="1.0",org.osgi.framework.wiring;version="1.2",or
 g.osgi.service.url;version="1.0",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Static
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.lpkg.deployer.internal,com.liferay
 .portal.lpkg.deployer.internal.wrapper.bundle
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.file.install.FileInstaller";uses:="com.liferay.portal.file.in
 stall",osgi.service;objectClass:List<String>="com.liferay.portal.lpkg
 .deployer.LPKGDeployer";uses:="com.liferay.portal.lpkg.deployer",osgi
 .service;objectClass:List<String>="com.liferay.portal.lpkg.deployer.L
 PKGVerifier";uses:="com.liferay.portal.lpkg.deployer",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.lpkg.deployer.internal.Byt
 esURLProtocolSupport";uses:="com.liferay.portal.lpkg.deployer.interna
 l"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.module.framework.ThrowableCollecto
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.lpkg.deployer.LPKGDeployer)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.lpkg.deployer.LPKGVerifier)";e
 ffective:=active,osgi.service;filter:="(objectClass=org.osgi.service.
 url.URLStreamHandlerService)";effective:=active,osgi.ee;filter:="(&(o
 sgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.lpkg.deployer.internal.
 BytesURLProtocolSupport.xml,OSGI-INF/com.liferay.portal.lpkg.deployer
 .internal.DefaultLPKGDeployer.xml,OSGI-INF/com.liferay.portal.lpkg.de
 ployer.internal.DefaultLPKGVerifier.xml,OSGI-INF/com.liferay.portal.l
 pkg.deployer.internal.LPKGArtifactInstaller.xml
Tool: Bnd-4.3.0.201909301554

